Bug 855507 - libreoffice dies attempting to open big microsoft document
libreoffice dies attempting to open big microsoft document
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-08 06:31 EDT by cornel panceac
Modified: 2013-07-11 22:15 EDT (History)
7 users (show)

See Also:
Fixed In Version: libreoffice-3.5.6.2-4.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-26 05:06:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cornel panceac 2012-09-08 06:31:23 EDT
Description of problem:
attempting to open some big .doc files, i've seen that ooffice dies without ever managing to show the file's content. abiword opens them just fine.
i've started ooffice from command line but still there's no error message there.

 $ ps aux | grep -i office
c0rnel    9026  0.0  0.1  35480  2708 pts/4    Sl+  13:24   0:00 /usr/lib/libreoffice/program/oosplash Padina Lancii si Poiana Inchisa.doc
c0rnel    9039 98.2  6.9 308700 143488 pts/4   Rl+  13:24   4:30 /usr/lib/libreoffice/program/soffice.bin Padina Lancii si Poiana Inchisa.doc --splash-pipe=6

Nothing in /var/log/messages .

Version-Release number of selected component (if applicable):

$ rpm -q libreoffice-writer 
libreoffice-writer-3.5.6.2-2.fc17.i686

How reproducible:
always

Steps to Reproduce:
1. attempt to open the document
2.
3.
  
Actual results:


Expected results:


Additional info:

abiword displays the document almost instantly without any errors. still, it is possible that the document contains some big pictures (which are not visible in abiword).
Comment 1 cornel panceac 2012-09-08 06:33:28 EDT
update: whiole entering the report, ooffice managed eventually to open the doc, but in it's 694 files i can see only junk strings, not the real text content, visible in abiword. it is true that at opening , it asked for the character code etc, like opening an unknonw encoding text file.
Comment 2 cornel panceac 2012-09-08 06:34:46 EDT
update 2: the page count is not 694, is 57694 ! (above, s/"694 files"/"694 pages", please)
Comment 3 cornel panceac 2012-09-08 06:38:23 EDT
ok, the window tht asks for encoding is "ASCII filter option".

file sizes are:

$ ls -l Braul\ Soarelui.doc Padina\ Lancii\ si\ Poiana\ Inchisa.doc 
-rw-rw-r--. 1 c0rnel c0rnel 18649088 Sep  7 09:33 Braul Soarelui.doc
-rw-rw-r--. 1 c0rnel c0rnel 14657024 Sep  7 08:08 Padina Lancii si Poiana Inchisa.doc

MIME type is:

$ file Braul\ Soarelui.doc Padina\ Lancii\ si\ Poiana\ Inchisa.doc 
Braul Soarelui.doc:                  Composite Document File V2 Document, Little Endian, Os: Windows, Version 6.1, Code page: 1250, Title: Valea Podurilor , Author: eSoft, Template: Normal, Last Saved By: eSoft, Revision Number: 1, Name of Creating Application: Microsoft Office Word, Total Editing Time: 01:24:00, Create Time/Date: Fri Sep  7 06:09:00 2012, Last Saved Time/Date: Fri Sep  7 07:33:00 2012, Number of Pages: 1, Number of Words: 6701, Number of Characters: 38201, Security: 0
Padina Lancii si Poiana Inchisa.doc: Composite Document File V2 Document, Little Endian, Os: Windows, Version 6.1, Code page: 1250, Title: Lumea de Piatra a Craiului, Author: eSoft, Template: Normal, Last Saved By: eSoft, Revision Number: 1, Name of Creating Application: Microsoft Office Word, Total Editing Time: 09:14:00, Create Time/Date: Thu Sep  6 20:54:00 2012, Last Saved Time/Date: Fri Sep  7 06:08:00 2012, Number of Pages: 1, Number of Words: 4933, Number of Characters: 28121, Security: 0
Comment 4 Caolan McNamara 2012-09-10 17:19:33 EDT
I'll bet this is the (fixed upstream) bustage in sot which affected large compound files. Need to dig out the commit on that and backport it
Comment 5 Caolan McNamara 2012-09-11 16:02:39 EDT
ah yes, http://cgit.freedesktop.org/libreoffice/core/commit/?id=50d89530eee57afb890e2e65aac8a5b0f93a74a3 was the commit to fix this problem IIRC.
Comment 6 Caolan McNamara 2012-09-11 16:09:36 EDT
will be good in >= libreoffice-3.5.6.2-4.fc17 if/when we do another update
Comment 7 Fedora Update System 2012-09-12 03:59:51 EDT
libreoffice-3.5.6.2-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libreoffice-3.5.6.2-4.fc17
Comment 8 cornel panceac 2012-09-12 16:06:21 EDT
i don't find yet 3.5.6.2-4 in updates-testing. i'll try again asap.
Comment 9 Fedora Update System 2012-09-17 13:57:55 EDT
Package libreoffice-3.5.6.2-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.5.6.2-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14177/libreoffice-3.5.6.2-4.fc17
then log in and leave karma (feedback).
Comment 10 cornel panceac 2012-09-24 13:31:19 EDT
With this update, the documents open just fine. Thank you very much.
Comment 11 Fedora Update System 2012-09-26 05:06:03 EDT
libreoffice-3.5.6.2-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.